Subject: EH-201909211237-122668 Please call back asap!
From: Bharat Sharma <[email-masked]>
To: Phaedrus Arif <[email-masked]>
Cc: Arjun Hurry <[email-masked]>
Date: Tue, 8 Oct 2019 09:48:40 -0700 (MST)

Hello Sir, 

This CX just called us and stated that she didn't received the order which was placed on 21st of September EH-201909211237-122668, I've checked the USPS website and it showing that the order has been delivered and I told her to ask her neighbour and other local friends for the order but she said no one has received anything. I've also told her to contact the USPS shipping department for this issue. 

She also said that she has been charged by us however, we have only 2 orders for her. 

This is Carol Mattson 

call :- 3202512641 

Please check and assist. 

Thank you - Bryan